Subject: Business Air News Bulletin - March 14, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 15 Mar 2023 04:03:32 +0000

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

IFLY Malmö Sturup hub is strategically located

IFLY FBO already has an established facility at Stockholm Bromma. The company is now opening at Malmö Sturup, and believes that the new location will provide a valuable service to its expanding client base.

Skyservice breaks ground on Seattle FBO development

The new private jet center includes generously sized lounge and relaxation areas, a two-storey open reception area and a 1,600 square-foot second-floor terrace overlooking Mount Rainier.

Completed investments take Modern's FBO tally to sixteen

The company has also opened its upgraded and expanded FBO campus at Centennial Airport in Denver, Colorado, including the addition of two heated 28 ft door hangars, Class A FBO terminal and expanded ramp.

Stellar breaks ground on Reno expansion

The new building will include two 40,000 square foot hangar complexes, a terminal building, five acres of new ramp and aircraft parking, covered parking for autos and vehicle charging stations.

Odyssey network expands with addition of Golden Isles

The acquisition of Golden Isles comes as part of Odyssey's strategic initiative to create a boutique FBO business with the highest levels of customer service.

FL3XX partnership with VOO will increase efficiency

FL3XX integrates the workflow of an aircraft operator from sales, scheduling and dispatch to training, reporting and maintenance management. Working with VOO enables users to generate accurate quotes.

To unsubscribe, please contact [email-masked].